<html>
    <head>
	<title>Comandos git</title>
        <link href="../CSS/estilo.css" rel="stylesheet" type="text/css"/>
        
        </style>
    </head>
	<Body >
            
	<hr />
	<h1>Comandos GIT</h1>
	
	<h2>git status</h2>
	<p>Esse comando vai listar o status dos arquivos, mostrando os que ainda nao foram adicionados para o controle de versao.</p>
	<h3>Exemplo</h3>
	
          
        <div class="container">
            
                
   <img src =".\img\GitStatus.png" class="box" alt="Avatar" class="image" >
        <div class="overlay">
        <div class="text">$ git status</div>
        </div>
        
</div>
	<hr />
	
	<h2>git add .</h2>
	<p>Adiciona todos os arquivos nao rastreados retornados.</p>
	<hr />
	
	
	<h2>git init</h2>
	<p>O comando acima deve ser executado dentro do diretorio do projeto na qual voce deseja versionar.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
 <img src=".\img\GitInit.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git init</div>
  </div>
</div>
	<hr />
	
	<h2>git commit -m "Mensagem que identificara o commit"</h2>
	<p>Esse comando vai fazer com que os arquivos adicionados ao rastreamento atraves de $ git add sejam gravados no repositorio.</p> 
	<p>O -m utilizado serve para indicar a mensagem do commit.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
 <img src=".\img\GitCommit.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git commit -m</div>
  </div>
</div>
	<hr />
	
	<h2>git remote add origin https://domain.com/repositorio.git</h2>
	<p>Se voce estivesse usando o GitHub, por exemplo, o endereço do repositorio remoto seria https://github.com/seunome/repositorio.git</p>
	<h3>Exemplo</h3>
	
        <div class="container">
 <img src=".\img\GitRemoteAdd.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git remote add origin https://domain.com/repositorio.git</div>
  </div>
</div>
	<hr />
	
	<h2>git push</h2>
	<p>Esse comando faz o envio dos commits dados no repositorio local, para o repositorio remoto. </p>
	<h3>Exemplo</h3>
	
        <div class="container">
 <img src=".\img\GitPush.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git push -u origin master</div>
  </div>
</div>
	<hr />
	
	<h2>git clone https://domain.com/repositorio.git</h2>
	<p>Esse comando cria um clone do repositorio remoto no seu amebiente local, ja com a origem configurada.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
 <img src=".\img\GitClone.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git clone</div>
  </div>
</div>
	<hr />
	
	<h2>git remote</h2>
	<p>Exibe somente o nome do repositorio remoto.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
 <img src=".\img\GitRemoteN.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git remote</div>
  </div>
</div>
	<hr />
	
	<h2>git remote -v</h2>
	<p>Exibe o nome e a url.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
  <img src=".\img\GitRemote.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git remote -v</div>
  </div>
</div>
	<hr />
	
	<h2>git pull</h2>
	<p>Faz com que o repositorio local seja sincronizado com o remoto, de modo a receber o que foi feito de alteraçao e commitado por outro usuario do repositorio remoto.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
  <img src=".\img\GitPull.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git pull</div>
  </div>
</div>
	<hr />
	
	<h2>git branch nome-branch</h2>
        <p>Esse comando cria um branch, que e como se fosse um novo diretorio, contendo o mesmo conteudo do branch master, mas que ao ser modificado,</p> 
	<p>nao reflete de forma automatica no branch master ou em qualquer outro.</p>
	<hr />
	
	<h2>git checkout nome-branch</h2>
	<p>Faz a troca entre os branches, mantendo integros os conteudos de cada um deles.</p>
	<hr />
	
	
	<h2>git reset</h2>
	<p>desfazer mudanças nao confirmadas.</p>
	<h3>Exemplo</h3>
	
        <div class="container">
            <img src=".\img\GitReset.png" class="box" alt="Avatar" class="image">
  <div class="overlay">
    <div class="text">$ git reset</div>
  </div>
</div>
	<hr />
	
	
	
	</Body>
	
</html>